Package org.bukkit

# Enum Class Rotation

java.lang.Object
java.lang.Enum<Rotation>
org.bukkit.Rotation

All Implemented Interfaces:
  `Serializable`, `Comparable<Rotation>`, `Constable`

public enum Rotation extends Enum<Rotation>
An enum to specify a rotation based orientation, like that on a clock.

It represents how something is viewed, as opposed to cardinal directions.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOCKWISE`
Rotated clockwise by 90 degrees
`CLOCKWISE_135`
Rotated clockwise by 135 degrees
`CLOCKWISE_45`
Rotated clockwise by 45 degrees
`COUNTER_CLOCKWISE`
Rotated counter-clockwise by 90 degrees
`COUNTER_CLOCKWISE_45`
Rotated counter-clockwise by 45 degrees
`FLIPPED`
Flipped upside-down, a 180 degree rotation
`FLIPPED_45`
Flipped upside-down + 45 degree rotation
`NONE`
No rotation

## Method Summary

Modifier and Type
Method
Description
`@NotNull Rotation`
`rotateClockwise()`
Rotate clockwise by 90 degrees.
`@NotNull Rotation`
`rotateCounterClockwise()`
Rotate counter-clockwise by 90 degrees.
`static Rotation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rotation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Rotation NONE
No rotation

### CLOCKWISE_45

public static final Rotation CLOCKWISE_45
Rotated clockwise by 45 degrees

### CLOCKWISE

public static final Rotation CLOCKWISE
Rotated clockwise by 90 degrees

### CLOCKWISE_135

public static final Rotation CLOCKWISE_135
Rotated clockwise by 135 degrees

### FLIPPED

public static final Rotation FLIPPED
Flipped upside-down, a 180 degree rotation

### FLIPPED_45

public static final Rotation FLIPPED_45
Flipped upside-down + 45 degree rotation

### COUNTER_CLOCKWISE

public static final Rotation COUNTER_CLOCKWISE
Rotated counter-clockwise by 90 degrees

### COUNTER_CLOCKWISE_45

public static final Rotation COUNTER_CLOCKWISE_45
Rotated counter-clockwise by 45 degrees

## Method Details

### values

public static Rotation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Rotation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### rotateClockwise

@NotNull public @NotNull Rotation rotateClockwise()
Rotate clockwise by 90 degrees.

Returns:
  the relative rotation

### rotateCounterClockwise

@NotNull public @NotNull Rotation rotateCounterClockwise()
Rotate counter-clockwise by 90 degrees.

Returns:
  the relative rotation